> For the complete documentation index, see [llms.txt](https://docs.bugsplat.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bugsplat.com/api-reference.md).

# API Reference

- [Using the API](https://docs.bugsplat.com/api-reference/web-services.md)
- [Web Application Endpoints](https://docs.bugsplat.com/api-reference/api.md)
- [Company](https://docs.bugsplat.com/api-reference/api/company.md): API Documentation for the BugSplat Company Endpoint
- [Crash](https://docs.bugsplat.com/api-reference/api/crash.md): API Documentation for the BugSplat Crashes Endpoint
- [Crashes](https://docs.bugsplat.com/api-reference/api/crashes.md): API Documentation for the BugSplat Crashes Endpoint
- [Crash Groups](https://docs.bugsplat.com/api-reference/api/crash-groups.md): API Documentation for various endpoints related to BugSplat Crash Groups
- [Dashboard](https://docs.bugsplat.com/api-reference/api/dashboard.md): API Documentation for the BugSplat Dashboard Endpoint
- [Databases](https://docs.bugsplat.com/api-reference/api/databases.md): API Documentation for the BugSplat Databases Endpoint
- [Defect](https://docs.bugsplat.com/api-reference/api/defect.md): API Documentation for the BugSplat Defect Endpoint
- [Events](https://docs.bugsplat.com/api-reference/api/events.md): API Documentation for the BugSplat Events Endpoint
- [Import/Migrate](https://docs.bugsplat.com/api-reference/api/import-migrate.md): API Documentation for the BugSplat Crashes Endpoint
- [Support Response](https://docs.bugsplat.com/api-reference/api/support-response.md): API Documentation for the BugSplat Support Response Endpoints
- [User (GDPR)](https://docs.bugsplat.com/api-reference/api/user-gdpr.md): API Documentation for the BugSplat User (GDPR) Endpoint
- [Users](https://docs.bugsplat.com/api-reference/api/users.md): API Documentation for the BugSplat Users Endpoint
- [Versions](https://docs.bugsplat.com/api-reference/api/versions.md): API Documentation for the BugSplat Versions Endpoint
- [Deprecated](https://docs.bugsplat.com/api-reference/api/charting.md): List of Deprecated API endpoints that are scheduled for removal
- [Crash Post Endpoints](https://docs.bugsplat.com/api-reference/crash.md)
- [User Feedback](https://docs.bugsplat.com/api-reference/user-feedback.md)
- [OAuth2](https://docs.bugsplat.com/api-reference/oauth2.md)
- [Defect Tracker Options](https://docs.bugsplat.com/api-reference/defect-tracker-options.md): To create or update a defect tracker integration, use the following endpoint.
- [Paging, Filtering, and Grouping](https://docs.bugsplat.com/api-reference/paging-filtering-and-grouping.md)
- [Platform Specific API's](https://docs.bugsplat.com/api-reference/platform-specific-apis.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bugsplat.com/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
